
;---------------------------------------------------------------------------

;AI Setup

[Command]
name = "ai1"
command = x,x,x,x,x,x,x,x,x,x,a+b+c+x+y+z
time = 1

[Command]
name = "ai2"
command = y,y,y,y,y,y,y,y,y,y,a+b+c+x+y+z
time = 1

[Command]
name = "ai3"
command = z,z,z,z,z,z,z,z,z,z,z,z,a+b+c+x+y+z
time = 1

[Command]
name = "ai4"
command = a,a,a,a,a,a,a,a,a,a,a+b+c+x+y+z
time = 1

[Command]
name = "ai5"
command = b,b,b,b,b,b,b,b,b,b,a+b+c+x+y+z
time = 1

[Command]
name = "ai6"
command = c,c,c,c,c,c,c,c,c,c,a+b+c+x+y+z
time = 1

[Command]
name = "ai7"
command = F,F,F,F,F,F,F,F,a+b+c+x+y+z
time = 1

[Command]
name = "ai8"
command = B,B,B,B,B,B,B,B,B,a+b+c+x+y+z
time = 1

[Command]
name = "ai9"
command = U,U,U,U,U,U,U,U,U,a+b+c+x+y+z
time = 1

[Command]
name = "ai10"
command = D,D,D,D,D,D,D,D,D,a+b+c+x+y+z
time = 1

[Command]
name = "ai11"
command = F,F,F,B,B,B,U,U,U,a+b+c+x+y+z
time = 1

[Command]
name = "ai12"
command = F,B,F,B,F,B,F,B,F,a+b+c+x+y+z
time = 1

;-| Super Motions |--------------------------------------------------------

[Command]
name = "acv"
;command = ~F, B, DB, D, DF, F, a+b
command = ~F, B, D, F, a+b
time = 30

[Command]
name = "asp"
command = ~D, D, a+b

[Command]
name = "asp"
command = ~D, D, x+y

;-| Special Motions |------------------------------------------------------
[Command]
name = "wn"
;command = ~F, DF, D, DB, B, b
command = ~F, D, B, b
time = 20

[Command]
name = "ac_xy"
command = ~F, D, DF, x+y

[Command]
name = "ab_xy"
command = ~D, DF, F, x+y

[Command]
name = "at_ab"
command = ~D, DB, B, a+b

[Command]
name = "ac_x"
command = ~F, D, DF, x

[Command]
name = "ac_x"
command = ~F, D, DF, y

[Command]
name = "ab_x"
command = ~D, DF, F, x

[Command]
name = "ab_y"
command = ~D, DF, F, y

[Command]
name = "at_a"
command = ~D, DB, B, a

[Command]
name = "at_b"
command = ~D, DB, B, b


;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "super"
;command = x+y+a+b
command = D, a+b
time = 1

[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

[Command]
name = "tyudan"
command = y+b
time = 1
;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

[Command]
name = "holdx"
command = /$x
time = 1

[Command]
name = "holdy"
command = /$y
time = 1
;---------------------------------------------------------------------------

[Statedef -1]

;===========================================================================
;---------------------------------------------------------------------------
; AI
;---------------------------------------------------------------------------
; AI Setup

[State -1, AI]
type = VarSet ;Variable Set
trigger1 = command = "ai1"
trigger2 = command = "ai2"
trigger3 = command = "ai3"
trigger4 = command = "ai4"
trigger5 = command = "ai5"
trigger6 = command = "ai6"
trigger7 = command = "ai7"
trigger8 = command = "ai8"
trigger9 = command = "ai9"
trigger10 = command = "ai10"
trigger11 = command = "ai11"
trigger12 = command = "ai12"
var(59) = 1 ;Sets Variable 59 to 1 (Activates AI)

;---------------------------------------------------------------------------
; Ground Super Heart Attack

[State -1, Ground Super Heart Attack]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = S ;Arina must be standing on the ground
trigger1 = power >= 1000 ;1000 energy points (one stock) are required
trigger1 = P2bodydist X >= 100 ;opponent must be 100 pixels away from Arina or further
trigger1 = P2StateType = S ;opponent must be standing on the ground
trigger1 = random = [0, 50]; 5 percent chance of using attack
trigger2 = power >= 1000 ;1000 energy points (one stock) are required
trigger2 = StateNo = 210 ;Arina must be in State 210 (Hard Jab)
trigger2 = AnimElemNo(0) = [6, 8] ;Arina must be in Frame 6 to 8 of animation
trigger2 = MoveContact
trigger2 = random = [0, 900]; 90 percent chance of using attack
value = 1150 ;switches to State 1150 (Ground Super Heart Attack)

;---------------------------------------------------------------------------
; Aerial Super Heart Attack

[State -1, Aerial Super Heart Attack]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = A ;Arina must be airborne
trigger1 = power >= 1000 ;1000 energy points (one stock) are required
trigger1 = P2bodydist X >= 100 ;opponent must be 100 pixels away from Arina or further
trigger1 = P2StateType = A ;opponent must be airborne
trigger1 = random = [0, 50]; 5 percent chance of using attack
value = 1160 ;switches to State 1160 (Aerial Super Heart Attack)

;---------------------------------------------------------------------------
; Super Spinning Kick

[State -1, Super Spinning Kick]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = S ;Arina must be standing on the ground
trigger1 = power >= 1000 ;1000 energy points (one stock) are required
trigger1 = P2bodydist X >= 30 ;opponent must be 30 pixels away from Arina or further
trigger1 = P2bodydist X <= 100 ;opponent must be 100 pixels away from Arina or closer
trigger1 = P2StateType = S ;opponent must be standing on the ground
trigger1 = random = [0, 50]; 5 percent chance of using attack
trigger2 = power >= 1000 ;1000 energy points (one stock) are required
trigger2 = StateNo = 1290; Arina must be in State 1290 (Hard Spinning Kick)
trigger2 = AnimElemNo(0) = [13, 25] ;Arina must be in Frame 13 to 25 of animation
trigger2 = MoveContact
trigger2 = random = [0, 900]; 90 percent chance of using attack
value = 1300 ;switches to State 1300 (Super Spinning Kick)

;---------------------------------------------------------------------------
; Arina Super Upper

[State -1, Arina Super Upper]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = S ;Arina must be standing on the ground
trigger1 = power >= 1000 ;1000 energy points (one stock) are required
trigger1 = P2bodydist X <= 15 ;opponent must be 15 pixels away from Arina or closer
trigger1 = P2StateType = S ;opponent must be standing on the ground
trigger1 = random = [0, 50]; 5 percent chance of using attack
trigger2 = ctrl = 1 ;AI must be in control of Arina
trigger2 = statetype = S ;Arina must be standing on the ground
trigger2 = power >= 1000 ;1000 energy points (one stock) are required
trigger2 = P2bodydist X <= 20 ;opponent must be 20 pixels away from Arina or closer
trigger2 = P2StateType = A ;opponent must be airborne
trigger2 = random = [0, 100]; 10 percent chance of using attack
trigger3 = power >= 1000 ;1000 energy points (one stock) are required
trigger3 = StateNo = 410; Arina must be in State 410 (Crouching hard uppercut)
trigger3 = AnimElemNo(0) = [3, 5] ;Arina must be in Frame 3 to 5 of animation
trigger3 = MoveContact
trigger3 = random = [0, 900]; 90 percent chance of using attack
value = 1500 ;switches to State 1500 (Arina Super Upper)

;---------------------------------------------------------------------------
; Raging Arina

[State -1, Raging Arina]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = S ;Arina must be standing on the ground
trigger1 = power >= 2000 ;2000 energy points (two stocks) are required
trigger1 = P2bodydist X >= 50 ;opponent must be 50 pixels away from Arina or further
trigger1 = P2bodydist X <= 200 ;opponent must be 200 pixels away from Arina or closer
trigger1 = P2StateType = S ;opponent must be standing on the ground
trigger1 = random = [0, 500]; 50 percent chance of using attack
value = 3000 ;switches to State 3000 (Raging Arina)

;---------------------------------------------------------------------------
; Ground Raging Arina

[State -1, Ground Raging Arina]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = S ;Arina must be standing on the ground
trigger1 = power >= 3000 ;3000 energy points (three stocks) are required
trigger1 = P2bodydist X >= 100 ;opponent must be 100 pixels away from Arina or further
trigger1 = P2StateType = S ;opponent must be standing on the ground
trigger1 = random = [0, 900]; 90 percent chance of using attack
value = 4000 ;switches to State 4000 (Ground Raging Arina)

;---------------------------------------------------------------------------
; Aerial Raging Arina

[State -1, Aerial Raging Arina]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = A ;Arina must be airborne
trigger1 = power >= 3000 ;3000 energy points (three stocks) are required
trigger1 = P2bodydist X >= 100 ;opponent must be 100 pixels away from Arina or further
trigger1 = P2bodydist Y >= 30 ;opponent be 30 pixels below Arina or lower
trigger1 = random = [0, 900]; 90 percent chance of using attack
value = 4200 ;switches to State 4200 (Aerial Raging Arina)

;---------------------------------------------------------------------------
; Tyudan

[State -1, Tyudan]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = S ;Arina must be standing on the ground
trigger1 = P2bodydist X >= 20 ;opponent must be 20 pixels away from Arina or further
trigger1 = P2bodydist X <= 40 ;opponent must be 40 pixels away from Arina or closer
trigger1 = P2StateType = S ;opponent must be standing on the ground
trigger1 = random = [0, 300]; 30 percent chance of using attack
value = 710 ;switches to State 710 (Tyudan)

;---------------------------------------------------------------------------
; Ground Slam

[State -1, Ground Slam]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = S ;Arina must be standing on the ground
trigger1 = P2bodydist X <= 12 ;opponent must be 12 pixels away from Arina or closer
trigger1 = P2StateType = S ;opponent must be standing on the ground
trigger1 = random = [0, 300]; 30 percent chance of using attack
value = 880 ;switches to State 880 (Ground Slam)

;---------------------------------------------------------------------------
; Ground Horizontal Star projectile

[State -1, Ground Horizontal Star projectile]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = S ;Arina must be standing on the ground
trigger1 = P2bodydist X >= 100 ;opponent must be 100 pixels away from Arina or further
trigger1 = P2StateType = S ;opponent must be standing on the ground
trigger1 = random = [0, 200]; 20 percent chance of using attack
trigger2 = StateNo = 210 ;Arina must be in State 210 (Hard Jab)
trigger2 = AnimElemNo(0) = [6, 8] ;Arina must be in Frame 6 to 8 of animation
trigger2 = MoveContact
trigger2 = random = [0, 900]; 90 percent chance of using attack
value = 1000 ;switches to State 1000 (Ground Horizontal Star projectile)

;---------------------------------------------------------------------------
; Ground Diagonal Star projectile

[State -1, Ground Diagonal Star projectile]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = S ;Arina must be standing on the ground
trigger1 = P2bodydist X >= 100 ;opponent must be 100 pixels away from Arina or further
trigger1 = P2StateType = A ;opponent must be airborne
trigger1 = random = [0, 200]; 20 percent chance of using attack
trigger2 = StateNo = 210 ;Arina must be in State 210 (Hard Jab)
trigger2 = AnimElemNo(0) = [6, 8] ;Arina must be in Frame 6 to 8 of animation
trigger2 = MoveContact
trigger2 = random = [0, 900]; 90 percent chance of using attack
value = 1010 ;switches to State 1010 (Ground Diagonal Star projectile)

;---------------------------------------------------------------------------
; Aerial Horizontal Star projectile

[State -1, Aerial Horizontal Star projectile]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = A ;Arina must be airborne
trigger1 = P2bodydist X >= 100 ;opponent must be 100 pixels away from Arina or further
trigger1 = P2StateType = A ;opponent must be airborne
trigger1 = random = [0, 200]; 20 percent chance of using attack
value = 1020 ;switches to State 1020 (Aerial Horizontal Star projectile)

;---------------------------------------------------------------------------
; Aerial Diagonal Star projectile

[State -1, Aerial Diagonal Star projectile]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = A ;Arina must be airborne
trigger1 = P2bodydist X >= 100 ;opponent must be 100 pixels away from Arina or further
trigger1 = P2StateType = S ;opponent must be standing on the ground
trigger1 = random = [0, 200]; 20 percent chance of using attack
value = 1030 ;switches to State 1030 (Aerial Diagonal Star projectile)

;---------------------------------------------------------------------------
; Quick Spinning Kick

[State -1, Quick Spinning Kick]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = S ;Arina must be standing on the ground
trigger1 = P2bodydist X >= 20 ;opponent must be 20 pixels away from Arina or further
trigger1 = P2bodydist X <= 80 ;opponent must be 80 pixels away from Arina or closer
trigger1 = P2StateType = S ;opponent must be standing on the ground
trigger1 = random = [0, 300]; 30 percent chance of using attack
trigger2 = StateNo = 240; Arina must be in State 240 (Standing roundhouse kick)
trigger2 = AnimElemNo(0) = [4, 5] ;Arina must be in Frame 4 or 5 of animation
trigger2 = MoveContact
trigger2 = random = [0, 900]; 90 percent chance of using attack
value = 1200 ;switches to State 1200 (Quick Spinning Kick)

;---------------------------------------------------------------------------
; Hard Spinning Kick

[State -1, Hard Spinning Kick]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = S ;Arina must be standing on the ground
trigger1 = P2bodydist X >= 20 ;opponent must be 20 pixels away from Arina or further
trigger1 = P2bodydist X <= 100 ;opponent must be 100 pixels away from Arina or closer
trigger1 = P2StateType = S ;opponent must be standing on the ground
trigger1 = random = [0, 300]; 30 percent chance of using attack
value = 1290 ;switches to State 1290 (Hard Spinning Kick)

;---------------------------------------------------------------------------
; Arina Upper

[State -1, Arina Upper]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = S ;Arina must be standing on the ground
trigger1 = P2bodydist X <= 15 ;opponent must be 15 pixels away from Arina or closer
trigger1 = P2StateType = S ;opponent must be standing on the ground
trigger1 = random = [0, 300]; 30 percent chance of using attack
trigger2 = ctrl = 1 ;AI must be in control of Arina
trigger2 = statetype = S ;Arina must be standing on the ground
trigger2 = P2bodydist X <= 20 ;opponent must be 20 pixels away from Arina or closer
trigger2 = P2StateType = A ;opponent must be airborne
trigger2 = random = [0, 600]; 60 percent chance of using attack
trigger3 = StateNo = 410; Arina must be in State 410 (Crouching hard uppercut)
trigger3 = AnimElemNo(0) = [3, 5] ;Arina must be in Frame 3 to 5 of animation
trigger3 = MoveContact
trigger3 = random = [0, 900]; 90 percent chance of using attack
value = 1400 ;switches to State 1400 (Arina Upper)

;---------------------------------------------------------------------------
; Standing Quick Jab

[State -1, Standing Quick Jab]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = S ;Arina must be standing on the ground
trigger1 = P2bodydist X >= 12 ;opponent must be 12 pixels away from Arina or further
trigger1 = P2bodydist X <= 20 ;opponent must be 20 pixels away from Arina or closer
trigger1 = P2StateType = S ;opponent must be standing on the ground
trigger1 = random = [0, 300]; 30 percent chance of using attack
value = 200 ;switches to State 200 (Standing Quick Jab)

;---------------------------------------------------------------------------
; Second Standing Quick Jab

[State -1, Second Standing Quick Jab]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = StateNo = 200 ;Arina must be in State 200 (Standing Quick Jab)
trigger1 = AnimElemNo(0) = [3, 4] ;Arina must be in Frame 3 or 4 of animation
trigger1 = MoveContact
trigger1 = random = [0, 900]; 90 percent chance of using attack
value = 201 ;switches to State 201 (Second Standing Quick Jab)

;---------------------------------------------------------------------------
; Hard Jab

[State -1, Hard Jab]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = S ;Arina must be standing on the ground
trigger1 = P2bodydist X >= 15 ;opponent must be 15 pixels away from Arina or further
trigger1 = P2bodydist X <= 25 ;opponent must be 25 pixels away from Arina or closer
trigger1 = P2StateType = S ;opponent must be standing on the ground
trigger1 = random = [0, 300]; 30 percent chance of using attack
trigger2 = StateNo = 201 ;Arina must be in State 201 (Second Standing Quick Jab)
trigger2 = AnimElemNo(0) = [2, 3] ;Arina must be in Frame 2 or 3 of animation
trigger2 = MoveContact
trigger2 = random = [0, 900]; 90 percent chance of using attack
value = 210 ;switches to State 210 (Hard Jab)

;---------------------------------------------------------------------------
; Standing High Kick

[State -1, Standing High Kick]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = S ;Arina must be standing on the ground
trigger1 = P2bodydist X <= 12 ;opponent must be 12 pixels away from Arina or closer
trigger1 = P2StateType = S ;opponent must be standing on the ground
trigger1 = random = [0, 300]; 30 percent chance of using attack
value = 230 ;switches to State 230 (Standing High Kick)

;---------------------------------------------------------------------------
; Standing Roundhouse Kick

[State -1, Standing Roundhouse Kick]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = S ;Arina must be standing on the ground
trigger1 = P2bodydist X >= 20 ;opponent must be 20 pixels away from Arina or further
trigger1 = P2bodydist X <= 35 ;opponent must be 35 pixels away from Arina or closer
trigger1 = P2StateType = S ;opponent must be standing on the ground
trigger1 = random = [0, 300]; 30 percent chance of using attack
trigger2 = StateNo = 230 ;Arina must be in State 230 (Standing High Kick)
trigger2 = AnimElemNo(0) = [4, 5] ;Arina must be in Frame 4 or 5 of animation
trigger2 = MoveContact
trigger2 = random = [0, 900]; 90 percent chance of using attack
value = 240 ;switches to State 240 (Standing Roundhouse Kick)

;---------------------------------------------------------------------------
; Spinning Blast Kick

[State -1, Spinning Blast Kick]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = StateNo = 240 ;Arina must be in State 240 (Standing Roundhouse Kick)
trigger1 = AnimElemNo(0) = [3, 4] ;Arina must be in Frame 3 or 4 of animation
trigger1 = MoveContact
trigger1 = random = [0, 900]; 90 percent chance of using attack
value = 241 ;switches to State 241 (Spinning Blast Kick)

;---------------------------------------------------------------------------
; Crouching Quick Jab

[State -1, Crouching Quick Jab]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = C ;Arina must be crouching
trigger1 = P2bodydist X >= 15 ;opponent must be 15 pixels away from Arina or further
trigger1 = P2bodydist X <= 25 ;opponent must be 25 pixels away from Arina or closer
trigger1 = P2StateType = S ;opponent must be standing on the ground
trigger1 = random = [0, 600]; 60 percent chance of using attack
value = 400 ;switches to State 400 (Crouching Quick Jab)

;---------------------------------------------------------------------------
; Second Crouching Quick Jab

[State -1, Second Crouching Quick Jab]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = StateNo = 400 ;Arina must be in State 400 (Crouching Quick Jab)
trigger1 = AnimElemNo(0) = [3, 4] ;Arina must be in Frame 3 or 4 of animation
trigger1 = MoveContact
trigger1 = random = [0, 900]; 90 percent chance of using attack
value = 401 ;switches to State 401 (Second Crouching Quick Jab)

;---------------------------------------------------------------------------
; Crouching Hard Uppercut

[State -1, Crouching Hard Uppercut]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = C ;Arina must be crouching
trigger1 = P2bodydist X <= 15 ;opponent must be 15 pixels away from Arina or closer
trigger1 = random = [0, 600]; 60 percent chance of using attack
value = 410 ;switches to State 410 (Crouching Hard Uppercut)

;---------------------------------------------------------------------------
; Second Crouching Hard Uppercut

[State -1, Second Crouching Hard Uppercut]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = StateNo = 410; Arina must be in State 410 (Crouching Hard Uppercut)
trigger1 = AnimElemNo(0) = [3, 5] ;Arina must be in Frame 3 to 5 of animation
trigger1 = MoveContact
trigger1 = random = [0, 900]; 90 percent chance of using attack
value = 411 ;switches to State 411 (Second Crouching Hard Uppercut)

;---------------------------------------------------------------------------
; Crouching Ground Kick

[State -1, Crouching Ground Kick]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = C ;Arina must be crouching
trigger1 = P2bodydist X >= 20 ;opponent must be 20 pixels away from Arina or further
trigger1 = P2bodydist X <= 30 ;opponent must be 30 pixels away from Arina or closer
trigger1 = P2StateType = S ;opponent must be standing on the ground
trigger1 = random = [0, 600]; 60 percent chance of using attack
trigger2 = StateNo = 401 ;Arina must be in State 401 (Second Crouching Quick Jab)
trigger2 = AnimElemNo(0) = [3, 4] ;Arina must be in Frame 3 or 4 of animation
trigger2 = MoveContact
trigger2 = random = [0, 900]; 90 percent chance of using attack
value = 430 ;switches to State 430 (Crouching Ground Kick)

;---------------------------------------------------------------------------
; Foot Sweep

[State -1, Foot Sweep]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = C ;Arina must be crouching
trigger1 = P2bodydist X >= 20 ;opponent must be 20 pixels away from Arina or further
trigger1 = P2bodydist X <= 30 ;opponent must be 30 pixels away from Arina or closer
trigger1 = P2StateType = S ;opponent must be standing on the ground
trigger1 = random = [0, 600]; 60 percent chance of using attack
trigger2 = StateNo = 430 ;Arina must be in State 430 (Crouching Ground Kick)
trigger2 = AnimElemNo(0) = [3, 4] ;Arina must be in Frame 3 or 4 of animation
trigger2 = MoveContact
trigger2 = random = [0, 900]; 90 percent chance of using attack
value = 440 ;switches to State 440 (Foot Sweep)

;---------------------------------------------------------------------------
; Aerial Quick Uppercut

[State -1, Aerial Quick Uppercut]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = A ;Arina must be airborne
trigger1 = P2bodydist X <= 15 ;opponent must be 15 pixels away from Arina or closer
trigger1 = P2bodydist Y >= -50 ;opponent must be 50 pixels above Arina or lower
trigger1 = random = [0, 600]; 60 percent chance of using attack
value = 600 ;switches to State 600 (Aerial Quick Uppercut)

;---------------------------------------------------------------------------
; Second Aerial Quick Uppercut

[State -1, Second Aerial Quick Uppercut]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = StateNo = 600; Arina must be in State 600 (Aerial Quick Uppercut)
trigger1 = AnimElemNo(0) = [3, 4] ;Arina must be in Frame 3 or 4 of animation
trigger1 = MoveContact
trigger1 = random = [0, 900]; 90 percent chance of using attack
value = 601 ;switches to State 601 (Second Aerial Quick Uppercut)

;---------------------------------------------------------------------------
; Aerial Downward Jab

[State -1, Aerial Downward Jab]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = A ;Arina must be airborne
trigger1 = P2bodydist X >= 12 ;opponent must be 12 pixels away from Arina or further
trigger1 = P2bodydist X <= 20 ;opponent must be 20 pixels away from Arina or closer
trigger1 = P2bodydist Y >= 0 ;opponent must be level with Arina or lower
trigger1 = P2bodydist Y <= 10 ;opponent must be 10 pixels below Arina or higher
trigger1 = random = [0, 600]; 60 percent chance of using attack
value = 610 ;switches to State 610 (Aerial Downward Jab)

;---------------------------------------------------------------------------
; Second Aerial Downward Jab

[State -1, Second Aerial Downward Jab]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = StateNo = 610; Arina must be in State 610 (Aerial Downward Jab)
trigger1 = AnimElemNo(0) = [3, 4] ;Arina must be in Frame 3 or 4 of animation
trigger1 = MoveContact
trigger1 = random = [0, 900]; 90 percent chance of using attack
value = 611 ;switches to State 611 (Second Aerial Downward Jab)

;---------------------------------------------------------------------------
; Aerial Butt Smash

[State -1, Aerial Butt Smash]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = A ;Arina must be airborne
trigger1 = P2bodydist X <= 12 ;opponent must be 12 pixels away from Arina or closer
trigger1 = P2bodydist Y >= 5 ;opponent be 5 pixels below Roy or lower
trigger1 = P2bodydist Y <= 30 ;opponent be 30 pixels below Roy or higher
trigger1 = random = [0, 600]; 60 percent chance of using attack
value = 630 ;switches to State 630 (Aerial Butt Smash)

;---------------------------------------------------------------------------
; Flying Kick

[State -1, Flying Kick]

type = ChangeState
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = A ;Arina must be airborne
trigger1 = P2bodydist X >= 20 ;opponent must be 20 pixels away from Arina or further
trigger1 = P2bodydist X <= 30 ;opponent must be 30 pixels away from Arina or closer
trigger1 = P2bodydist Y = 0 ;opponent must be level with Arina
trigger1 = random = [0, 600]; 60 percent chance of using attack
value = 640 ;switches to State 640 (Flying Kick)

;---------------------------------------------------------------------------
; Crouch

[State -1, Crouch]

type = changestate
triggerall = var(59) != 0 ;AI must be active
triggerall = RoundState = 2 ;players are currently in battle
trigger1 = ctrl = 1 ;AI must be in control of Arina
trigger1 = statetype = S ;Arina must be standing on the ground
trigger1 = P2bodydist X <= 30 ;opponent must be 30 pixels away from Arina or closer
trigger1 = random = [0, 500]; 50 percent chance of using move
value = 11 ;switches to State 11 (Crouch)

;===========================================================================

;A[iJ[jo
[State -1, ac]
type = ChangeState
value = 3000
triggerall = command = "acv"
;triggerall = power >= 1000
triggerall = power >= 2000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 200) && movecontact && time = [2,6]
trigger3 = (stateno = 201) && movecontact && time < 2
trigger4 = (stateno = 210) && movecontact && time = [4,10]
trigger5 = (stateno = 400) && movecontact && time = [2,5]
trigger6 = (stateno = 401) && movecontact && time = [5,7]
trigger7 = (stateno = 410) && movecontact && time = [2,5]
;---------------------------------------------------------------------------
;킭킭
[State -1, Kung Fu Throw]
type = ChangeState
value = 880
triggerall = command = "wn"
triggerall = statetype != A
triggerall = ctrl
trigger1 = p2bodydist X <= 12
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
;===========================================================================
;A[iNbVdw
[State -1, ab]
type = ChangeState
value = 1500
triggerall = command = "ac_xy"
triggerall = power >= 1000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 200) && movecontact && time = [2,6]
trigger3 = (stateno = 201) && movecontact && time < 2
trigger4 = (stateno = 210) && movecontact && time = [4,10]
trigger5 = (stateno = 400) && movecontact && time = [2,5]
trigger6 = (stateno = 401) && movecontact && time = [5,7]
;trigger7 = (stateno = 410) && movecontact && time = [2,5]
trigger7 = stateno = 410; Arina must be in State 410 (Crouching hard uppercut)
trigger7 = AnimElemNo(0) = [3, 5] ;Arina must be in Frame 3 to 5 of animation

;A[iNbV
[State -1, ab]
type = ChangeState
value = 1400
triggerall = command = "ac_x"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 200) && movecontact && time = [2,6]
trigger3 = (stateno = 201) && movecontact && time < 2
trigger4 = (stateno = 210) && movecontact && time = [4,10]
trigger5 = (stateno = 400) && movecontact && time = [2,5]
trigger6 = (stateno = 401) && movecontact && time = [5,7]
;trigger7 = (stateno = 410) && movecontact && time = [2,5]
trigger7 = stateno = 410; Arina must be in State 410 (Crouching hard uppercut)
trigger7 = AnimElemNo(0) = [3, 5] ;Arina must be in Frame 3 to 5 of animation

;---------------------------------------------------------------------------
;A[ir[dw
[State -1, ab]
type = ChangeState
value = 1150
triggerall = command = "ab_xy"
triggerall = power >= 1000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 200) && movecontact && time = [2,6]
trigger3 = (stateno = 201) && movecontact && time < 2
;trigger4 = (stateno = 210) && movecontact && time = [4,10]
trigger4 = (stateno = 400) && movecontact && time = [2,5]
trigger5 = (stateno = 401) && movecontact && time = [5,7]
trigger6 = (stateno = 410) && movecontact && time = [2,5]
trigger7 = stateno = 210; Arina must be in State 210 (Hard jab)
trigger7 = AnimElemNo(0) = [6, 8] ;Arina must be in Frame 6 to 8 of animation

;A[ir[dw
[State -1, ab]
type = ChangeState
value = 1160
triggerall = command = "ab_xy"
triggerall = power >= 1000
trigger1 = statetype = A
trigger1 = ctrl

;A[ir[
[State -1, ab]
type = ChangeState
value = 1000
triggerall = command = "ab_x"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 200) && movecontact && time = [2,6]
trigger3 = (stateno = 201) && movecontact && time < 2
;trigger4 = (stateno = 210) && movecontact && time = [4,10]
trigger4 = (stateno = 400) && movecontact && time = [2,5]
trigger5 = (stateno = 401) && movecontact && time = [5,7]
trigger6 = (stateno = 410) && movecontact && time = [2,5]
trigger7 = stateno = 210; Arina must be in State 210 (Hard jab)
trigger7 = AnimElemNo(0) = [6, 8] ;Arina must be in Frame 6 to 8 of animation

;A[ir[
[State -1, ab]
type = ChangeState
value = 1010
triggerall = command = "ab_y"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 200) && movecontact && time = [2,6]
trigger3 = (stateno = 201) && movecontact && time < 2
;trigger4 = (stateno = 210) && movecontact && time = [4,10]
trigger4 = (stateno = 400) && movecontact && time = [2,5]
trigger5 = (stateno = 401) && movecontact && time = [5,7]
trigger6 = (stateno = 410) && movecontact && time = [2,5]
trigger7 = stateno = 210; Arina must be in State 210 (Hard jab)
trigger7 = AnimElemNo(0) = [6, 8] ;Arina must be in Frame 6 to 8 of animation

;A[ir[
[State -1, ab]
type = ChangeState
value = 1020
triggerall = command = "ab_x"
trigger1 = statetype = A
trigger1 = ctrl

;A[ir[
[State -1, ab]
type = ChangeState
value = 1030
triggerall = command = "ab_y"
trigger1 = statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
;A[igl[hdw
[State -1, at]
type = ChangeState
value = 1300
triggerall = command = "at_ab"
triggerall = power >= 1000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 200) && movecontact && time = [2,6]
trigger3 = (stateno = 201) && movecontact && time < 2
trigger4 = (stateno = 210) && movecontact && time = [4,10]
trigger5 = (stateno = 400) && movecontact && time = [2,5]
trigger6 = (stateno = 401) && movecontact && time = [5,7]
trigger7 = (stateno = 410) && movecontact && time = [2,5]
trigger8 = stateno = 1290; Arina must be in State 1290 (Hard Spinning Kick)
trigger8 = AnimElemNo(0) = [13, 25] ;Arina must be in Frame 13 to 25 of animation

;A[igl[h
[State -1, at]
type = ChangeState
value = 1200
triggerall = command = "at_a"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 200) && movecontact && time = [2,6]
trigger3 = (stateno = 201) && movecontact && time < 2
trigger4 = (stateno = 210) && movecontact && time = [4,10]
trigger5 = (stateno = 400) && movecontact && time = [2,5]
trigger6 = (stateno = 401) && movecontact && time = [5,7]
trigger7 = (stateno = 410) && movecontact && time = [2,5]
trigger8 = stateno = 240; Arina must be in State 240 (Standing roundhouse kick)
trigger8 = AnimElemNo(0) = [4, 5] ;Arina must be in Frame 4 or 5 of animation

;A[igl[h
[State -1, at]
type = ChangeState
value = 1290
triggerall = command = "at_b"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = 200) && movecontact && time = [2,6]
trigger3 = (stateno = 201) && movecontact && time < 2
trigger4 = (stateno = 210) && movecontact && time = [4,10]
trigger5 = (stateno = 400) && movecontact && time = [2,5]
trigger6 = (stateno = 401) && movecontact && time = [5,7]
trigger7 = (stateno = 410) && movecontact && time = [2,5]
;---------------------------------------------------------------------------
;A[iXyV
[State -1, ac]
type = ChangeState
value = 4000
triggerall = command = "asp"
;triggerall = power >= 1000
triggerall = power >= 3000
trigger1 = statetype != A
trigger1 = ctrl

;A[iXyV
[State -1, ac]
type = ChangeState
value = 4200
triggerall = command = "asp"
;triggerall = power >= 1000
triggerall = power >= 3000
trigger1 = statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
;_bV
[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;ރ_bV
[State -1, Run Back]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;o
[State -1, Kung Fu Throw]
type = ChangeState
value = 800
triggerall = command = "y"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 3
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = command = "holdback"
trigger2 = p2bodydist X < 5
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H

;j
[State -1, Kung Fu Throw]
type = ChangeState
value = 801
triggerall = command = "b"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 3
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = command = "holdback"
trigger2 = p2bodydist X < 5
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H

;󒆓
[State -1, Kung Fu Throw]
type = ChangeState
value = 850
triggerall = command = "y"
triggerall = statetype = A
triggerall = ctrl
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 30
trigger1 = p2statetype = A
trigger1 = p2movetype != H
;===========================================================================
;X[p[
[State -1, X[p[]
type = ChangeState
value = 900
triggerall = command = "super"
triggerall = power >= 1000
triggerall = Var(7) = 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = [150,153];K[L
;---------------------------------------------------------------------------
;[[
[State -1, i]
type = ChangeState
value = 710
triggerall = command = "tyudan"
trigger1 = statetype != A
trigger1 = ctrl
;---------------------------------------------------------------------------
;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;p`
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 9
trigger3 = (stateno = 201) && time > 9
trigger4 = (stateno = 230) && time > 7
trigger5 = (stateno = [200,201]) || (stateno = 230)
trigger5 = movecontact

;---------------------------------------------------------------------------
;LbN
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 9
trigger3 = (stateno = 201) && time > 9
trigger4 = stateno = [200,201]
trigger4 = movecontact

;---------------------------------------------------------------------------
;Standing Strong Kick
;LbN
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 9
trigger3 = (stateno = 201) && time > 9
trigger4 = (stateno = 210) && time > 14
trigger5 = (stateno = 230) && time > 7
trigger6 = (stateno = [200,230])
trigger6 = movecontact

;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
;Ⴊݎp`
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
;Ⴊ݋p`
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) && time > 11
trigger3 = (stateno = 401) && time > 11
trigger4 = (stateno = 430) && time > 10
trigger5 = (stateno = [400,401]) || (stateno = 430)
trigger5 = movecontact

;---------------------------------------------------------------------------
;ႪݎLbN
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) && time > 11
trigger3 = (stateno = 401) && time > 11
trigger4 = stateno = [400,401]
trigger4 = movecontact

;---------------------------------------------------------------------------
;Ⴊ݋LbN
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) && time > 11
trigger3 = (stateno = 401) && time > 11
trigger4 = (stateno = 410) && time > 11
trigger5 = (stateno = 430) && time > 10
trigger6 = (stateno = [400,430])
trigger6 = movecontact

;---------------------------------------------------------------------------
;󒆎p`
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;󒆋o
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;󒆎j
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;󒆋LbN
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl


